# CreatureEntity

### Parameters

#### creatureType: [CreatureType](/scripting/bedwars-scripting/types/creaturetype.md)

Which type of Creature the entity is.

#### team: [Team](/scripting/bedwars-scripting/objects/team.md)

Which team is allied with the Creature. Friendly Creatures, such as Skeletons or Ducks, will attack all other teams. Hostile Creatures, such as Void Crabs, will always attack all teams.

***

### Functions

#### moveTo(position: [Vector3](https://create.roblox.com/docs/reference/engine/datatypes/Vector3)): nil

Moves the Creature to the specified position.

#### attack(target: [Entity](/scripting/bedwars-scripting/objects/entity.md), damage: number): boolean

Creature attacks the target [Entity](/scripting/bedwars-scripting/objects/entity.md) for the specified damage amount. Returns true if the attack was successful.

#### setSpeed(speed: number)

Sets the walk speed of the Creature.

#### getModel(): [Model](/scripting/bedwars-scripting/objects/model.md) | nil

Returns the [Model](/scripting/bedwars-scripting/objects/model.md) of the entity.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/objects/entity/creatureentity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
